package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$4 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var7 = SECNamedCurves.access$0("FFFFFFFDFFFFFFFFFFFFFFFFFFFFFFFF");
      BigInteger var1 = SECNamedCurves.access$0("D6031998D1B3BBFEBF59CC9BBFF9AEE1");
      BigInteger var2 = SECNamedCurves.access$0("5EEEFCA380D02919DC2C6558BB6D8A5D");
      byte[] var3 = Hex.decode("004D696E67687561517512D8F03431FCE63B88F4");
      BigInteger var4 = SECNamedCurves.access$0("3FFFFFFF7FFFFFFFBE0024720613B5A3");
      BigInteger var5 = BigInteger.valueOf(4L);
      ECCurve.Fp var6;
      ECCurve.Fp var10000 = var6 = new ECCurve.Fp;
      var10000.<init>(var7, var1, var2);
      ECPoint var8 = var10000.decodePoint(Hex.decode("047B6AA5D85E572983E6FB32A7CDEBC14027B6916A894D3AEE7106FE805FC34B44"));
      return new X9ECParameters(var6, var8, var4, var5, var3);
   }
}
